import { fhGetHospitalList } from '../../../api/week-hospital/index'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    region: ['北京市', '北京市', '通州区'],
    ranks: ['', '甲级', '乙级', '丙级'],
    types: ['', '综合性医院', '专科医院'],
    hospitalList: [],
    query: {
      hospitalName: '',
      pageNumber: 1,
      pageSize: 100
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    this.getHospitalList()
  },

  async getHospitalList() {
    const { results } = await fhGetHospitalList(this.data.query)
    this.setData({
      hospitalList: results.results
    })
  },

  onSearch({ detail }) {
    this.setData({
      ['query.hospitalName']: detail
    })
    this.getHospitalList()
  },

  bindRegionChange(e) {
    // console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      region: e.detail.value
    })
    this.getHospitalList(this.data.region[0], this.data.region[1], this.data.region[2])
  },

  onHospital({ currentTarget: { dataset: { hospitalId } } }) {
    wx.navigateTo({
      url: `/store/pages/bed/index?hospitalId=${hospitalId}`
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})
